package com.artfess.yhxt.check.regular.manager;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;

/**
 * @author zhx
 * @create 2022/3/2
 */
public interface CheckExportOftenManager {
    /**
     * 桥梁经常检查-检查单
     *
     * @param ids
     * @param response
     * @return
     */
    void exportBridgeOften(String ids, HttpServletResponse response);

    /**
     * 隧道经常检查-检查单
     *
     * @param ids
     * @param response
     */
    void exportTunnelOften(String ids, HttpServletResponse response);

    /**
     * 涵洞经常检查-检查单
     *
     * @param ids
     * @param response
     */
    void exportCulvertOften(String ids, HttpServletResponse response);

    /**
     * 边坡经常检查-检查单
     *
     * @param ids
     * @param response
     */
    void exportSideSlopeOften(String ids, HttpServletResponse response);

    /**
     * 桥梁经常检查-历史检查单
     *
     * @param id
     * @param ids
     * @param response
     */
    void exportBridgeOftenHistory(String id, String ids, Date timeGrateThan, Date timeLessThan, HttpServletResponse response);

    void exportTunnelOftenHistory(String id, String ids, Date timeGrateThan, Date timeLessThan, HttpServletResponse response);

    void exportCulvertOftenHistory(String id, String ids, Date timeGrateThan, Date timeLessThan, HttpServletResponse response);


    void exportSideSlopeOftenHistory(String id, String ids, Date timeGrateThan, Date timeLessThan, HttpServletResponse response);
}
